Name:           foomatic
Version:        4.0.13
Release:        5
Summary:        A configurable printing filter
License:        GPLv2+
Source0:        http://www.openprinting.org/download/foomatic/foomatic-db-engine-%{version}.tar.gz
Patch0000:      foomatic-manpages.patch
Url:            http://www.linuxfoundation.org/collaborate/workgroups/openprinting/database/foomatic
BuildRequires:  gcc perl-interpreter >= 3:5.8.1 perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  libxml2-devel autoconf automake cups-devel dbus-devel
BuildRequires:  python3-cups cups foomatic-db
Requires:       dbus cups-filters >= 1.0.42 perl-interpreter >= 3:5.8.1
Requires:       %(eval `perl -V:version`; echo "perl(:MODULE_COMPAT_$version)")
Requires(post): coreutils
Requires:       foomatic-db cups ghostscript colord
Obsoletes:      printer-filters < 1.1-8
Provides:       printer-filters = 1.1-8

%description
Foomatic is a configurable printing filter.It uses PPD files as configuration to generate appropriate
output for a given printer.

%package help
Summary:        Help documentation for foomatic

%description help
Help documentation forfoomatic.
 
%prep
%autosetup -n foomatic-db-engine-%{version} -p1
chmod a+x mkinstalldirs

%build
export LIB_CUPS=%{_cups_serverbin}
export CUPS_BACKENDS=%{_cups_serverbin}/backend
export CUPS_FILTERS=%{_cups_serverbin}/filter
export CUPS_PPDS=%{_datadir}/cups/model

aclocal
autoconf
%configure --disable-xmltest
make PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS"

%install
make    DESTDIR=%buildroot PREFIX=%{_prefix} INSTALLSITELIB=%{perl_vendorlib} \
        INSTALLSITEARCH=%{perl_vendorarch} install

ln -sf ../../../bin/foomatic-ppdfile %{buildroot}%{_cups_serverbin}/driver/foomatic
install -d %{buildroot}%{_var}/cache/foomatic
echo cups > %{buildroot}%{_sysconfdir}/foomatic/defaultspooler
rm -rf  %{buildroot}%{_libdir}/ppr \
        %{buildroot}%{_sysconfdir}/foomatic/filter.conf.sample \
        %{buildroot}%{_datadir}/foomatic/templates
find %{buildroot} -name .packlist -exec rm -f '{}' \;

%post
/bin/rm -f /var/cache/foomatic/*
exit 0

%files
%doc COPYING
%dir %{_sysconfdir}/foomatic
%config(noreplace) %{_sysconfdir}/foomatic/defaultspooler
%{_bindir}/*
%{_sbindir}/*
%{perl_vendorlib}/Foomatic
%{_cups_serverbin}/driver/*
%{_var}/cache/foomatic

%files help
%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog
* Mon Apr 20 2020 wangyue<wangyue92@huawei.com> - 4.0.13-5
- Package init
